UNW\_IS\_FPREG(3)

NAME
unw_is_fpreg -- check if a register is a floating-point register

SYNOPSIS

#include <libunwind.h>

int unw_is_fpreg(unw_regnum_t reg);

DESCRIPTION

The unw_is_fpreg() routine checks whether register number reg is a floating-point register.

This routine is normally implemented as a macro and applications should not attempt to take its address.

RETURN VALUE

The unw_is_fpreg() routine returns a non-zero value if reg is a floating-point register. Otherwise, it returns a value of 0.

THREAD AND SIGNAL SAFETY

unw_is_fpreg() is thread-safe as well as safe to use from a signal handler.

SEE ALSO

libunwind(3), unw_get_reg(3), unw_set_reg(3), unw_get_fpreg(3), unw_set_fpreg(3)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.